#
# spec file for package perl-NOCpulse-Scheduler
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-NOCpulse-Scheduler
Source0:        perl-NOCpulse-Scheduler-git-c767b0c682656f7b240a2b0c510c191068928c4f.tar.gz
Version:        1.58.12
Release:        1.3
Summary:        NOCpulse Event Scheduler
Url:            https://fedorahosted.org/spacewalk
Requires:       nocpulse-common, ProgAGoGo
%if 0%{?suse_version}
Requires:       perl = %{perl_version}
%else
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif
BuildRequires:  perl(ExtUtils::MakeMaker)
%if 0%{?suse_version}
BuildRequires:  nocpulse-common
%endif
BuildArch:      noarch
Group:          System/Management
License:        GPL v2 only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
NOCpulse provides application, network, systems and transaction
monitoring, coupled with a comprehensive reporting system including
availability, historical and trending reports in an easy-to-use browser
interface.

This package implements an event scheduler system and a framework for
defining event types.



%prep
%setup -q -n perl-NOCpulse-Scheduler-git-c767b0c682656f7b240a2b0c510c191068928c4f

%build
#Nothing to build

%install
mkdir -p $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/Scheduler/Event
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/nocpulse/NPkernel.out

install -m 644 Scheduler.pm $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse
install -m 644 Event.pm $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/Scheduler
install -m 644 Event/ProbeEvent.pm $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/Scheduler/Event
install -m 644 Event/TestEvent.pm $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/Scheduler/Event
install -m 644 Event/TimeoutEvent.pm $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/Scheduler/Event
install -m 644 Event/StatePushEvent.pm $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/Scheduler/Event
install -m 644 Message.pm $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/Scheduler
install -m 644 MessageDictionary.pm $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/Scheduler
install -m 644 Statistics.pm $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/Scheduler
install -m 755 kernel.pl $RPM_BUILD_ROOT%{_bindir}

# was only needed for the update case, because of a moved home
#%post
#if [ $1 -eq 2 ]; then
#  ls /home/nocpulse/var/rw/NPkernel.out/* 2>/dev/null | xargs -I file mv file %{_var}/lib/nocpulse/NPkernel.out
#fi

%files 
%defattr(-,root,root,-)
%dir %{perl_vendorlib}/NOCpulse
%{perl_vendorlib}/NOCpulse/*
%{_bindir}/kernel.pl
%attr(755,nocpulse,nocpulse) %{_var}/lib/nocpulse
%attr(755,nocpulse,nocpulse) %{_var}/lib/nocpulse/NPkernel.out

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 14 2010 mantel@suse.de
- Initial release of perl-NOCpulse-Scheduler
